Subject: want tordon info
From: [email-masked] (Anthony C Tweedale)
Date: 14 Jun 1994 16:12:18 -0400
Newsgroups: alt.sustainable.agriculture

can anyone point me in the direction of health effects (also ecological 
effects) of -tordon-? our native plant society is considering using it. i 
put this request to pan (pest. action network), but haven't heard back.
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
tony tweedale, grad		TEMPERATE BUT ENDANGERED PLANET.  ENJOYS
env. studies program (evst)	WEATHER, NORTHERN LIGHTS, CONTINENTAL
rankin hall u. montana		DRIFT.  SEEKS CARING RELATIONSHIP WITH
missoula mt 59812		INTELLIGENT LIFEFORM. (f.o.e.)
406-542-1709	internet: [email-masked]